/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.hhn;

import static de.nplusc.hhn.Dopple.dopple;

/**
 *
 * @author LH
 */
public class Summe
{

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        
        
        System.out.println(sumfromonetoNumber(140, 1));
    }
    
    public static int sumfromonetoNumber(int n,int r)
    {
        
        return r==n?r+0:r+sumfromonetoNumber(n, r+1);
        
        //return (((n*n)+n)/2); //Gaußsche summenformel :P; hab mich noch an ne Präsentation aus der it-schule erinnert wo das drankam
    }
    
    
}
